package pro.litvinovg.w2phtml.gui;

import java.io.UnsupportedEncodingException;
import java.util.Collections;
import java.util.List;
import java.util.Locale;
import java.util.ResourceBundle;

public class Localizer {
	
	private static final String TRANSLATION_NOT_FOUND = "no translation";
	private Locale currentLocale;
	private String resourceBundle = "pro.litvinovg.w2phtml.gui.localizations.w2phtml";
	private ResourceBundle translations;
	public Localizer() {
		currentLocale = Locale.forLanguageTag("RU");//Locale.getDefault();
	  translations = ResourceBundle.getBundle(resourceBundle, currentLocale);
	}

	public String getTranslation(String name) {
		if (translations != null && translations.containsKey(name)) {
			String translation = translations.getString(name);
			try {
				return new String(translation.getBytes("ISO-8859-1"), "UTF-8");
			} catch (UnsupportedEncodingException e) {
				e.printStackTrace();
			}
		} 
		return TRANSLATION_NOT_FOUND;
		
	}
}
